<app-loading *ngIf="isLoadingPage"></app-loading>
<form nz-form [formGroup]="form">
  <div nz-row [nzGutter]="[30,30]">
    <div nz-col [nzXs]="24" [nzLg]="12">
      <mb-input-text formControlName="fullName" [mbMaxLength]="200"
                     [mbType]="isSubmitted && form.controls['fullName'].errors ? 'error' : 'default'"
                     [mbShowError]="isSubmitted && form.controls['fullName'].errors !== null"
                     [mbErrors]="form.controls['fullName'].errors"
                     [mbErrorDefs]="[{ errorName: 'required', errorDescription: 'selfService.validate.required' | translate: {'param': 'selfService.label.fullName' | translate }},
                                     { errorName: 'maxlength', errorDescription: 'selfService.validate.maxLength' | translate: {'numberLength': 200}}]"
                     mbPlaceholderText="{{'selfService.label.fullName' | translate}}"
                     mbLabelText="{{'selfService.label.fullName' | translate}} <span class='label__required'>*</span>"></mb-input-text>
    </div>
    <div nz-col [nzXs]="24" [nzLg]="12">
      <mb-date-picker
                 [mbType]="isSubmitted && form.controls['dateOfBirth'].errors ? 'error' : 'default'"
                 [mbShowError]="isSubmitted && form.controls['dateOfBirth'].errors !== null"
                 [mbErrors]="form.controls['dateOfBirth'].errors"
                 [mbErrorDefs]="[{ errorName: 'required', errorDescription: 'selfService.validate.required' | translate: {'param': 'selfService.label.dateOfBirth' | translate }}]"
                 mbLabelText="{{'selfService.label.dateOfBirth' | translate}} <span class='label__required'>*</span>"
                 mbPlaceholderText="{{'selfService.label.dateOfBirth' | translate}}"
                 formControlName="dateOfBirth"></mb-date-picker>
    </div>
    <div nz-col [nzXs]="24" [nzLg]="12">
      <mb-select [mbDataSelects]="listSex"
                 [mbType]="isSubmitted && form.controls['genderCode'].errors ? 'error' : 'default'"
                 [mbShowError]="isSubmitted && form.controls['genderCode'].errors !== null"
                 [mbErrors]="form.controls['genderCode'].errors"
                 [mbErrorDefs]="[{ errorName: 'required', errorDescription: 'selfService.validate.required' | translate: {'param': 'selfService.label.sex' | translate }}]"
                 mbPlaceholder="{{'selfService.label.sex' | translate}}"
                 mbLabelText="{{'selfService.label.sex' | translate}} <span class='label__required'>*</span>"
                 formControlName="genderCode"></mb-select>
    </div>
    <div nz-col [nzXs]="24" [nzLg]="12">
      <mb-select [mbDataSelects]="listMarital"
                 [mbType]="isSubmitted && form.controls['maritalStatusCode'].errors ? 'error' : 'default'"
                 [mbShowError]="isSubmitted && form.controls['maritalStatusCode'].errors !== null"
                 [mbErrors]="form.controls['maritalStatusCode'].errors"
                 [mbErrorDefs]="[{ errorName: 'required', errorDescription: 'selfService.validate.required' | translate: {'param': 'selfService.label.maritalStatus' | translate }}]"
                 mbPlaceholder="{{'selfService.label.maritalStatus' | translate}}"
                 mbLabelText="{{'selfService.label.maritalStatus' | translate}} <span class='label__required'>*</span>"
                 formControlName="maritalStatusCode"></mb-select>
    </div>
    <div nz-col [nzXs]="24" [nzLg]="12">
      <mb-select [mbDataSelects]="listNational"
                 [mbType]="isSubmitted && form.controls['nationCode'].errors ? 'error' : 'default'"
                 [mbShowError]="isSubmitted && form.controls['nationCode'].errors !== null"
                 [mbErrors]="form.controls['nationCode'].errors"
                 [mbErrorDefs]="[{ errorName: 'required', errorDescription: 'selfService.validate.required' | translate: {'param': 'selfService.label.national' | translate }}]"
                 mbPlaceholder="{{'selfService.label.national' | translate}}"
                 mbLabelText="{{'selfService.label.national' | translate}} <span class='label__required'>*</span>"
                 formControlName="nationCode"></mb-select>
    </div>
    <div nz-col [nzXs]="24" [nzLg]="12">
      <mb-select [mbDataSelects]="listFolk"
                 [mbType]="isSubmitted && form.controls['ethnicCode'].errors ? 'error' : 'default'"
                 [mbShowError]="isSubmitted && form.controls['ethnicCode'].errors !== null"
                 [mbErrors]="form.controls['ethnicCode'].errors"
                 [mbErrorDefs]="[{ errorName: 'required', errorDescription: 'selfService.validate.required' | translate: {'param': 'selfService.label.folk' | translate }}]"
                 mbPlaceholder="{{'selfService.label.folk' | translate}}"
                 mbLabelText="{{'selfService.label.folk' | translate}} <span class='label__required'>*</span>"
                 formControlName="ethnicCode"></mb-select>
    </div>
    <div nz-col [nzXs]="24" [nzLg]="12">
      <mb-select [mbDataSelects]="listReligion"
                 [mbType]="isSubmitted && form.controls['religionCode'].errors ? 'error' : 'default'"
                 [mbShowError]="isSubmitted && form.controls['religionCode'].errors !== null"
                 [mbErrors]="form.controls['religionCode'].errors"
                 [mbErrorDefs]="[{ errorName: 'required', errorDescription: 'selfService.validate.required' | translate: {'param': 'selfService.label.religion' | translate }}]"
                 mbPlaceholder="{{'selfService.label.religion' | translate}}"
                 mbLabelText="{{'selfService.label.religion' | translate}} <span class='label__required'>*</span>"
                 formControlName="religionCode"></mb-select>
    </div>
    <div nz-col [nzXs]="24" [nzLg]="12">
      <mb-input-text formControlName="companyPhone" appNumberInput
                     [mbType]="isSubmitted && form.controls['companyPhone'].errors ? 'error' : 'default'"
                     [mbShowError]="isSubmitted && form.controls['companyPhone'].errors !== null"
                     [mbErrors]="form.controls['companyPhone'].errors"
                     [mbErrorDefs]="[{ errorName: 'pattern', errorDescription: 'selfService.validate.format' | translate: {'param': 'selfService.label.phoneNumberCompany' | translate }}]"
                     mbPlaceholderText="{{'selfService.label.phoneNumberCompany' | translate}}"
                     mbLabelText="{{'selfService.label.phoneNumberCompany' | translate}}"></mb-input-text>
    </div>
    <div nz-col [nzXs]="24" [nzLg]="24">
      <mb-input-compact
        [mbDataSelects]="phoneAreas"
        mbGroupName="listMobileNumber"
        mbSelectControlName="phoneAreaCode"
        mbInputControlName="phoneNumber"
        mbInputMainControlName="isMain"
        [mbShowRadio]="true"
        [mbType]="isSubmitted && form.controls['listMobileNumber'].errors ? 'error' : 'default'"
        [mbShowError]="isSubmitted && form.controls['listMobileNumber'].errors !== null"
        [mbErrors]="form.controls['listMobileNumber'].errors"
        [mbValidInput]="validaInput"
        [mbErrorDefs]="[{ errorName: 'required', errorDescription: 'selfService.validate.required' | translate: {'param': 'selfService.label.phoneNumber' | translate }},
        { errorName: 'pattern', errorDescription: 'selfService.validate.format' | translate: {'param': 'selfService.label.phoneNumber' | translate }}]"
        mbLabelText="{{'selfService.label.phoneNumber' | translate}}"
        mbPlaceholderText="{{'selfService.label.phoneNumber' | translate}}"
        formControlName="listMobileNumber"></mb-input-compact>
    </div>
    <div nz-col [nzXs]="24" [nzLg]="12">
      <mb-input-text formControlName="personalEmail"
                     [mbType]="isSubmitted && form.controls['personalEmail'].errors ? 'error' : 'default'"
                     [mbShowError]="isSubmitted && form.controls['personalEmail'].errors !== null"
                     [mbErrors]="form.controls['personalEmail'].errors"
                     [mbErrorDefs]="[{ errorName: 'email', errorDescription: 'selfService.validate.format' | translate: {'param': 'selfService.label.email' | translate }}]"
                     mbPlaceholderText="{{'selfService.label.email' | translate}}"
                     mbLabelText="{{'selfService.label.emailPersonal' | translate}}"></mb-input-text>
    </div>
    <div nz-col [nzXs]="24" [nzLg]="12">
      <mb-select formControlName="isInsuranceMb"
                 [mbType]="isSubmitted && form.controls['isInsuranceMb'].errors ? 'error' : 'default'"
                 [mbShowError]="isSubmitted && form.controls['isInsuranceMb'].errors !== null"
                 [mbErrors]="form.controls['isInsuranceMb'].errors"
                 [mbErrorDefs]="[{ errorName: 'required', errorDescription: 'selfService.validate.required' | translate: {'param': 'selfService.label.insurance' | translate }}]"
                 [mbDataSelects]="[{label: 'selfService.label.ansYes' | translate, value: 1}, {label: 'selfService.label.ansNo' | translate, value: 0}]"
                 mbPlaceholder="{{'selfService.label.insurance' | translate}}"
                 mbLabelText="{{'selfService.label.insurance' | translate}} <span class='label__required'>*</span>"></mb-select>
    </div>
    <div nz-col [nzXs]="24" [nzLg]="12">
      <mb-input-text formControlName="insuranceNo" appNumberInput [mbMaxLength]="10"
                     [mbType]="isSubmitted && form.controls['insuranceNo'].errors ? 'error' : 'default'"
                     [mbShowError]="isSubmitted && form.controls['insuranceNo'].errors !== null"
                     [mbErrors]="form.controls['insuranceNo'].errors"
                     [mbErrorDefs]="[{ errorName: 'maxlength', errorDescription: 'selfService.validate.maxLength' | translate: {'numberLength': 10}}]"
                     mbPlaceholderText="{{'selfService.label.insuranceNumber' | translate}}"
                     mbLabelText="{{'selfService.label.insuranceNumber' | translate}}"></mb-input-text>
    </div>
    <div nz-col [nzXs]="24" [nzLg]="12">
      <mb-input-text formControlName="taxNo" appNumberInput [mbMaxLength]="10"
                     [mbType]="isSubmitted && form.controls['taxNo'].errors ? 'error' : 'default'"
                     [mbShowError]="isSubmitted && form.controls['taxNo'].errors !== null"
                     [mbErrors]="form.controls['taxNo'].errors"
                     [mbErrorDefs]="[
                        { errorName: 'maxlength', errorDescription: 'selfService.validate.taxNoError' | translate},
                        { errorName: 'minlength', errorDescription: 'selfService.validate.taxNoError' | translate},
                     ]"
                     mbPlaceholderText="{{'selfService.label.taxCode' | translate}}"
                     mbLabelText="{{'selfService.label.taxCode' | translate}}"></mb-input-text>
    </div>
  </div>
</form>
